summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xprojects/gentoolkit-nichoj/trunk/make-ebuild-symlinks5
-rwxr-xr-xprojects/gentoolkit-nichoj/trunk/run-ebuild-command22
2 files changed, 27 insertions, 0 deletions
diff --git a/projects/gentoolkit-nichoj/trunk/make-ebuild-symlinks b/projects/gentoolkit-nichoj/trunk/make-ebuild-symlinks
new file mode 100755
index 0000000..0b4c6c5
--- /dev/null
+++ b/projects/gentoolkit-nichoj/trunk/make-ebuild-symlinks
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+for c in manifest digest fetch; do
+ ln -sf run-ebuild-command e${c}
+done
diff --git a/projects/gentoolkit-nichoj/trunk/run-ebuild-command b/projects/gentoolkit-nichoj/trunk/run-ebuild-command
new file mode 100755
index 0000000..2ffcbad
--- /dev/null
+++ b/projects/gentoolkit-nichoj/trunk/run-ebuild-command
@@ -0,0 +1,22 @@
+#!/bin/bash
+source /sbin/functions.sh
+
+command=$(basename ${0})
+
+if [[ ${command} == run-ebuild-command ]]; then
+ eerror "Do not invoke directly. Instead, invoke through a symlink, named after an ebuild command, prefixed by e"
+ exit 1
+fi
+command=${command#e}
+
+
+for e in ${@}; do
+ ebegin "Performing ${command} on ${e}"
+ if [[ -f ${e} ]]; then
+ ebuild ${e} ${command}
+ eend $?
+ else
+ eerror "${e} does not exist!"
+ eend 1
+ fi
+done